#!/bin/bash
# Run this script for benchmark preparation

cd $bench_dir_01/source/ 
clear
echo 
echo "		RUNNING Yukawa Potential Uniform Solver for $particles particles"
echo
time ./fmm ; ./result_analysis.o 2>&1 | tee -a fmm.log
cd $bench_dir_02/source/;
#clear
echo
echo "		RUNNING Yukawa Potential Adaptive Solver for $particles particles"
time ./fmm ; ./result_analysis.o 2>&1 | tee -a fmm.log
